> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# y_car

> Extra tables lists. List names are 'y_xyz' - based on the custom table name. Contents of the list are based on the display_field for the table

## "y\_car" MDO List

Extra tables lists. List names are 'y\_xyz' - based on the custom table name.
Contents of the list are based on the display\_field for the table

Implemented by the <see cref="T:SuperOffice.CRM.Lists.ExtraTableDropdownProvider">ExtraTableDropdownProvider</see> class.
The name of the MDO list is 'y\_car'.

## Additional Attributes

| Description                                                                                                    | Name        | Example Value |
| -------------------------------------------------------------------------------------------------------------- | ----------- | ------------- |
| Create hierarchical dropdown.                                                                                  | hierarchy   | False         |
| Use name from a display field. Otherwise, if it's setup, a name from full name field will be used.             | shortNames  | False         |
| Show all custom table dropdown values immediately. If not, no values will be shown until a search is executed. | useDropDown | False         |

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/y_car
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("y_car", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name | StyleHint | ExtraInfo |
| -- | ---- | --------- | --------- |
| 1  | 1    |           |           |
| 2  | 2    |           |           |
| 3  | 3    |           |           |


## Related topics

- [customobjectlist](/en/api/mdo-providers/reference/customobjectlist.md)
- [SuperOffice.WebApi.Agents.DiagnosticsAgent](/en/api/reference/webapi/SuperOffice.WebApi.Agents.DiagnosticsAgent.md)
- [SuperOffice.WebApi.Agents.IDiagnosticsAgent](/en/api/reference/webapi/SuperOffice.WebApi.Agents.IDiagnosticsAgent.md)
- [SuperOffice.WebApi.Agents.ArchiveAgent](/en/api/reference/webapi/SuperOffice.WebApi.Agents.ArchiveAgent.md)
- [SuperOffice.WebApi.Agents.IArchiveAgent](/en/api/reference/webapi/SuperOffice.WebApi.Agents.IArchiveAgent.md)
- [MDO List Provider names](/en/api/mdo-providers/reference/index.md)
